Package commoble.bagofyurting

# Class CompressedBagOfYurtingData.CompressedStateData

java.lang.Object
commoble.bagofyurting.CompressedBagOfYurtingData.CompressedStateData

Enclosing class:
  CompressedBagOfYurtingData

public static class CompressedBagOfYurtingData.CompressedStateData extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static com.mojang.serialization.Codec<CompressedBagOfYurtingData.CompressedStateData>`
`CODEC`

## Constructor Summary

Constructors
Constructor
Description
`CompressedStateData​(net.minecraft.core.BlockPos pos, int stateIndex, Optional<net.minecraft.nbt.CompoundTag> nbt)`

## Method Summary

Modifier and Type
Method
Description
`Optional<net.minecraft.nbt.CompoundTag>`
`getNBT()`
`net.minecraft.core.BlockPos`
`getPos()`
`int`
`getStateIndex()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CODEC

public static final com.mojang.serialization.Codec<CompressedBagOfYurtingData.CompressedStateData> CODEC

## Constructor Details

### CompressedStateData

public CompressedStateData​(net.minecraft.core.BlockPos pos, int stateIndex, Optional<net.minecraft.nbt.CompoundTag> nbt)

## Method Details

### getPos

public net.minecraft.core.BlockPos getPos()

### getStateIndex

public int getStateIndex()

### getNBT

public Optional<net.minecraft.nbt.CompoundTag> getNBT()